﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace BalancedWrapPanelSL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            // Initialize the ComboBoxes
            OrientationBox.ItemsSource = new Orientation[] { Orientation.Horizontal, Orientation.Vertical };
            OrientationBox.SelectedIndex = 0;
            ItemBox.ItemsSource = new double[] { double.NaN, 105.0 };
            ItemBox.SelectedIndex = 0;
            AlignBox.ItemsSource = new bool[] { false, true };
            AlignBox.SelectedIndex = 0;

            // Create sample data
            var rand = new Random(0);
            var panels = new Panel[] { RealWrapPanel, CustomWrapPanel };
            var borderBrush = new SolidColorBrush(Colors.Black);
            var borderThickness = new Thickness(1);
            for (var i = 0; i < 15; i++)
            {
                // Randomise the element
                var width = rand.Next(50, 100);
                var height = rand.Next(50, 100);
                var background = new SolidColorBrush(Color.FromArgb(byte.MaxValue, (byte)rand.Next(0, 256), (byte)rand.Next(0, 256), (byte)rand.Next(0, 256)));

                // Populate sample panels
                foreach (var panel in panels)
                {
                    var child = new Border { Width = width, Height = height, Background = background, BorderBrush = borderBrush, BorderThickness = borderThickness };
                    panel.Children.Add(child);
                }
            }
        }
    }
}
